<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exercicio 8</title>
</head>
<body>

    <button onclick="calcular()">Calcular</button>
    <script>
         var valor = window.prompt("Insira sua idade: ")
        var idade = Number(valor);

        if (isNaN(idade)) {
            alert("Por favor insira somente números!")
            setTimeout(() => {
                window.location.reload()
            }, 3000)
        }
        if (idade < 18){
            document.write("<h1>Você não possui idade para dirigir!</h1>")
            document.write("<div>Tente novamente quando fizer 18 anos!</div>")

            setTimeout(() => {
                window.location.reload()
            }, 3000)
        }else {
            var alcool = document.createElement("input")
            alcool.setAttribute("type", "text")
            alcool.setAttribute("placeholder", "Valor do alcool")
            alcool.setAttribute("id", "alcool")
            
            

            var gasolina = document.createElement("input")
            gasolina.setAttribute("type", "text")
            gasolina.setAttribute("placeholder", "Valor da gasolina")
            gasolina.setAttribute("id", "gasolina")
            

            document.body.appendChild(alcool)
            document.body.appendChild(gasolina)

            function calcular(){
                var gasolina = document.getElementById("gasolina").value
                var alcool = document.getElementById("alcool").value
                
                var calculo = (alcool / gasolina).toFixed(2)
                console.log("Resultado do calculo:" + calculo)

                if(calculo < 0.7){
                    document.write(`<div> Alcool é melhor! ${alcool}`)
                }else{
                    document.write(`<div> gasolina é melhor! ${gasolina}`)
                }
            }
        }
    </script>
</body>
</html>